Bug 545895 - Review Request: poky-scripts - Poky platform builder utility scripts
Review Request: poky-scripts - Poky platform builder utility scripts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-09 10:49 EST by Shakthi Kannan
Modified: 2010-01-22 14:57 EST (History)
2 users (show)

See Also:
Fixed In Version: 6-6.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-24 15:41:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2009-12-09 10:49:55 EST
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/poky-scripts.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/poky-scripts-6-1.fc12.src.rpm
Description: Poky-scripts contains utility scripts for Poky such as poky-qemu, which will run a Poky image in QEMU with the right arguments.

Successful Koji builds for F-11, F-12 and EL-5:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1864970
http://koji.fedoraproject.org/koji/taskinfo?taskID=1864986
http://koji.fedoraproject.org/koji/taskinfo?taskID=1864982
Comment 2 Chitlesh GOORAH 2009-12-10 12:12:27 EST
#001: BuildRequires :

 - glibc-devel requires glibc-headers already. You can remove glibc-headers from BR ( rpm -qR glibc-devel )
 - poky-depends is a meta package. In other words, it doesn't build anything, hence it should not require an BR. That said, the spec file does not build anything except copying files to the buildroot. So I think you should remove all the BRs

#002: Requires:

In your spec file :
poky-scripts requires poky-depends.
poky-depends requires poky-scripts.

It seems to be a circular-dependency.

Shouldn't all the requires (since poky-depends is a metapackage) of poky-depends be put as requires for poky-scripts and remove poky-depends entirely ?

#003: check the explicit requires with 
rpm -qR package
Comment 3 Shakthi Kannan 2009-12-10 12:26:09 EST
#001: 

Will remove glibc-headers.

A person can choose to use the poky-scripts OR the poky-depends package. The poky-depends package is required if the developer wants to download and build Poky. The poky-scripts package is used if the developer only wants to test some downloaded pre-built images. 

So, we need to have BRs in the sub-package. Is that ok?

#002:

Yes, the circular dependency is wrong. I will remove it.

#003 

Explicit requires for what?
Comment 4 Chitlesh GOORAH 2009-12-14 18:16:20 EST
#001: Yes

#003: python-sqlite2 requires python
Comment 5 Shakthi Kannan 2009-12-15 11:36:43 EST
#003:

$ rpm -qR python-sqlite2
...
python(abi) = 2.6

It does pull python. So, we can remove the explicit dependency of including python in Requires?
Comment 7 Chitlesh GOORAH 2009-12-15 18:41:19 EST
#001: Why do need BR for the meta package ?


#004: The following is not required
# poky-depends
%{__cp} -p %{SOURCE1} %{_builddir}/%{name}-%{version}etch1

#005: %files : directory and file ownership

%dir %{_datadir}/%{name}  <<< 1
%{_bindir}/poky-*
%{_datadir}/%{name}       <<< 2


1 >>> directory ownership
2 >>> directory ownership and all the files and folders it contains.

When you are using %{_datadir}/%{name} you don't have to use 
%dir %{_datadir}/%{name

#006: the meta package should be a noarch package.
Comment 8 Shakthi Kannan 2009-12-16 10:56:46 EST
#001: If I put glibc-devel in Requires, rpmlint complaints:

  poky-depends.noarch: E: devel-dependency glibc-devel

I have moved glibc-devel to Requires. Will ignore rpmlint warning.

#004: I have added Source1: README.fedora. Retained the following:

  # poky-depends
  %{__cp} -p %{SOURCE1} %{_builddir}/%{name}-%{version}etch1

  %{__install} -pm 644 %{SOURCE1} %{buildroot}%{_docdir}/%{name}-%{version}

#005: Fixed.

#006: Added the following

  BuildArchitectures: noarch 

in -depends meta package.

SPEC: http://shakthimaan.fedorapeople.org/SPECS/poky-scripts.spec
SRPM: http://shakthimaan.fedorapeople.org/SRPMS/poky-scripts-6-5.fc12.src.rpm

Successful Koji builds for F-11, F-12 and EL-5:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1875300
http://koji.fedoraproject.org/koji/taskinfo?taskID=1875306
http://koji.fedoraproject.org/koji/taskinfo?taskID=1875316
Comment 9 Chitlesh GOORAH 2009-12-19 13:31:56 EST
Are you planning to ship this for EL-5 as well ?
If yes, the RPM version of EL-5 does not support noarch subpackages. Hence you should add the following for the -depends
%if 0%{?fedora}
BuildArchitectures:  noarch
%endif
Comment 11 Chitlesh GOORAH 2009-12-21 04:11:13 EST
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed with an open-source compatible license and meet
other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i686.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly. poky does not have
any.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths. poky does not have any.
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros
section of Packaging Guidelines.
- MUST: The package contains code, or permissible content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files. poky does not have
any.
- MUST: %doc does not affect the runtime of the application. To summarize: If
it is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section.
- MUST: Package does not own files or directories already owned by other
packages. 

SHOULD Items:

 - SHOULD: mock builds successfully in i686.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 

APPROVED
Comment 12 Shakthi Kannan 2009-12-21 13:29:17 EST
New Package CVS Request
=======================
Package Name: poky-scripts
Short Description: Poky platform builder utility scripts
Owners: shakthimaan chitlesh
Branches: F-11 F-12 EL-5
Comment 13 Kevin Fenzi 2009-12-21 14:38:13 EST
cvs done.
Comment 14 Fedora Update System 2009-12-22 00:05:20 EST
poky-scripts-6-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/poky-scripts-6-6.fc11
Comment 15 Fedora Update System 2009-12-22 00:05:24 EST
poky-scripts-6-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/poky-scripts-6-6.fc12
Comment 16 Fedora Update System 2009-12-22 00:05:29 EST
poky-scripts-6-6.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/poky-scripts-6-6.el5
Comment 17 Fedora Update System 2009-12-22 16:57:46 EST
poky-scripts-6-6.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update poky-scripts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-1043
Comment 18 Fedora Update System 2009-12-24 15:41:03 EST
poky-scripts-6-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-12-24 15:42:21 EST
poky-scripts-6-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-01-22 14:57:45 EST
poky-scripts-6-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.